/*!******************************************************************************************************************!*\
  !*** css ./node_modules/css-loader/dist/cjs.js??ruleSet[1].rules[1].oneOf[1].use[1]!./assets/css/style_cart.css ***!
  \******************************************************************************************************************/
:root {
    --greenMH: #21C366;
    --greyMH: #D5D5D5;
    --blueMH: #0076BA;
    --greyTextMH: #5E5E5E;
}

.hidden {
    display: none;
}

.grid-item-title-color {
    color: var(--greyTextMH);
}

.div-all-btn-margin {
    margin-bottom: 50px !important;
}

footer{
    /*position: fixed;*/
    /*bottom: 0;*/
    /*width: 100%;*/
}

.price-spinner {
    display: none; /* Hidden by default */
    border: 3px solid #f3f3f3; /* Light grey */
    border-top: 3px solid #3498db; /* Blue */
    border-radius: 50%;
    width: 20px;
    height: 20px;
    animation: spin 1s linear infinite;
    /* Centering inside the container */
    position: relative;
    top: 0;
    /*left: 50%;*/
    margin-top: -8px;
    margin-left: -8px;
}

.price-spinner.spinner-visible {
    display: block;
}

.price-spinner.spinner-visible + p {
    display: none;
}

@keyframes spin {
    0% { transform: rotate(0deg); }
    100% { transform: rotate(360deg); }
}


h1 {
    margin: 50px 0 15px 7.5%;
}

h2, h3{
    text-align: center;
}
#emptyCart, .divV2{
    width: 100%;
    text-align: center;
}

#redirectBtn {
    /*display: inline-block;*/
    /*padding: 10px 20px;*/
    /*font-size: 1.2em;*/
    text-decoration: none;
    font-size: 15px;
    background-color: var(--greenMH);
    color: white;
    padding : 10px 25px;
    border-radius: 10px;
    border: 1px solid var(--greenMH);
}


.divProduit{
    width: 85%;
    /*border: 1px solid red;*/
    margin : auto auto 40px auto;
    display: flex;
    border-top : 1px solid var(--greyMH);
}

.divHeader{
    display: flex;
    align-items: center;
    width: 85%;
    margin : auto auto 10px auto;
    font-size: 20px;
    color: darkgrey;

}

.divHeader .headerProduit{
    width: 40%;
    /*border: 1px solid grey;*/
    padding-left: 5%;
}

.divHeader .headerQpT{
    width: 50%;
    display: flex;
    justify-content: center;
    /*border: 1px solid red;*/
}

.divHeader .headerPrixU{
    width : 15%;
    display: flex;
    justify-content: center;
    /*border : 1px solid green;*/
}

.divImage{
    width: 25%;
    display: flex;
    flex-wrap: wrap;
    flex-direction: column;
}

.gallery__thumbnails {
    display: flex;
    flex-direction: row;
    padding-left: 10px;
}

.gallery__thumbnail {
    width: 50px;
    height: 50px;
    margin: 10px 0 10px 0;
    cursor: pointer;
}

.selectedImg{
    border: 1px solid var(--greyMH);
    border-radius: 10px;
}

.gallery__main {
    width: 230px;
    height: 230px;
    margin-top: 10px;
}

.gallery__image {
    width: 100%;
    height: 100%;
}

.divDescription{
    display: inline-grid;
    width: 25%;
    grid-template-rows: 15% 15% 15% 8% auto;
    grid-template-columns: 60% 40%;
    align-content: center;
}

.main_item{
    grid-column-start: 1;
    grid-column-end: 3;
    display: flex;
    font-size: 20px;
    justify-content: center;
}

.grid_item{
    padding-left: 10px;
}

.titreEmplacement{
    /*grid-area: 4 / 1 / 5 / 3;*/
    /*text-align: center;*/
}

.stringEmplacementForHTML{
    /*grid-area: 5 / 1 / 6 / 3;*/
    /*text-align: center;*/
    /*padding-top: 5px;*/
    /*padding-bottom: 5px;*/

}
.divQuantite{
    width: 45%;
    display: flex;
    flex-wrap: wrap;
    align-content: center;
    justify-content: center;
    padding-left: 5%;
}

input::-webkit-outer-spin-button,
input::-webkit-inner-spin-button {/*Remove Arrows*/
    -webkit-appearance: none;
    margin: 0;
}
input[type='number'] {
    -moz-appearance: textfield; /*Remove Arrows*/
    border : 1px solid grey;
    border-radius: 0 0 10px 10px;
    text-align: center;
    /*width: 4.0em;*/
    width: 100%;
    height: 1.5em;
}

.Taille{
    display: flex;
    width: 60px;
    flex-wrap: wrap;
    margin: 0 10px 0 5px;
    justify-content: center;
}

.Taille label{
    background-color: black;
    color: white;
    width: 100%;
    text-align: center;
    border-radius: 10px 10px 0 0;
    border-top: 4px solid black;
}

.uAndC{
    display: flex;
    flex-wrap: wrap;
    align-content: center;
}

.totalProduit{
    /*top: 18%;*/
    /*right: 13%;*/
    /*position: relative;*/
    color: var(--greyTextMH);
}

.divPrix{
    width: 17%;
    display: flex;
    flex-wrap: wrap;
    align-content: center;
    justify-content: center;
}

.Resume{
    display: flex;
    width: 85%;
    /*border: 1px solid red;*/
    margin : auto auto 20px auto;
    justify-content: flex-end;
    padding-top: 15px;
    border-top : 1px solid var(--greyMH);
    font-size: 18px;
}

#divTotalQuantité{
    margin : 0 20px 0 20px;
}

#divTotalPrix{
    margin-right: 5%;
}

.divAllBtn{
    display: flex;
    width: 85%;
    /*border: 1px solid red;*/
    margin : auto auto 5px auto;
    justify-content: flex-end;
}

#GoToCheckout{
    display: flex;
    flex-wrap: wrap;
    align-content: center;
    justify-content: center;
    margin-right: 5%;
    /*font-size: 15px;*/
    background-color: var(--greenMH);
    /*padding : 10px 25px;*/
    border-radius: 10px;
    border: 1px solid var(--greenMH);
    cursor: pointer;
    width: 250px;
    height: 35px;
}

#GoToCheckout:hover{
   background-color: #1eb05c;
}

#GoToCheckout.loading {
    pointer-events: none;
    opacity: 0.65;
}

#GoToCheckout.loading:hover {
    background-color: var(--greenMH);
}

#GoToCheckout a{
    text-decoration: none;
    color: white;
    /*font-size: large;*/
}

#goToDevis{
    display: flex;
    flex-wrap: wrap;
    align-content: center;
    justify-content: center;
    margin-right: 5%;
    /*font-size: 15px;*/
    /*padding : 10px 25px;*/
    border-radius: 10px;
    border: 1px solid var(--blueMH);
    cursor: pointer;
    width: 250px;
    height: 35px;
}

#goToDevis:hover{
    background-color: rgba(0, 118, 186, 0.1);
}

#goToDevis a{
    text-decoration: none;
    color: var(--blueMH);
}

.cancelBtn img{
    background: none;
    color: inherit;
    border: none;
    padding: 0;
    font: inherit;
    cursor: pointer;
    outline: inherit;
    height: 25px;
    /*width: 100%*/
}
.cancelBtn {
    background: none;
    color: inherit;
    border: none;
    padding: 0;
    font: inherit;
    cursor: pointer;
    outline: inherit;
}

.updateBtn{
    display: none;
}

#additionalInformationForDevis{
    display: none; /* Hidden by default */
    position: fixed; /* Stay in place */
    z-index: 1; /* Sit on top */
    padding-top: 10px; /* Location of the box */
    left: 0;
    top: 0;
    width: 100%; /* Full width */
    height: 100%; /* Full height */
    overflow:  hidden; /* Enable scroll if needed */
    background-color: rgba(0,0,0,0.4); /* Black w/ opacity */
    overflow-y: auto;
}

.modalContent{
    display : flex;
    background-color: #fefefe;
    left : 0;
    right: 0;
    margin: auto;
    padding: 20px;
    border: 1px solid #888;
    border-radius: 30px;
    width: 40%;
    /*height: 100%;*/
    overflow: hidden;
    align-items: center;
    flex-wrap: wrap;
    flex-direction: column;
}


.form-input{
    /*width: calc(100% - 12px);*/
    width: 100%;
    height: 30px;
    border-radius: 10px;
    border: 1px solid #2d2d2d;
    margin: 5px 0;
    padding: 6px;
    box-sizing: border-box;
}

.submitButton{
    width: 100%;
    padding: 10px;
    border-radius: 10px;
    background-color: white;
    color: var(--blueMH);
    border: 1px solid var(--blueMH);
    font-size: 16px;
    margin-top: 20px;
    cursor: pointer;
}
.submitButton:hover{
    background-color: rgba(0, 118, 186, 0.1);
}

#leaveBtn{
    align-self: flex-start;
    cursor: pointer;
    /*margin-bottom: 20px;*/
    position : sticky;
    left: 100%;
    bottom: 100%;
}

body.modal-open {
    overflow: hidden;
}
@media only screen and (max-width: 1366px){
		body , body * {
		box-sizing: border-box!important;
	}
		.divProduit{
			width:100%;
			flex-wrap:wrap;
		   gap:0px!important;
			padding:0px 20px;
		}
		.divQuantite{
			gap:20px!important;
		}
		.Taille{
			margin:0px;
			width:calc(33.3% - 20px);
		}
		.grid_item{
			width:50%;
			flex: none!important;
			text-align: start;
			margin-top: 5px;
			padding: 0px;
		}
		.main_item{
			width:100%;
			justify-content: start;
		}
		.divHeader .headerProduit ,
		.divImage{
			width:25%;
		}
		.divDescription{
			width:30%
		}
		.divDescription{
			/*order:6;*/
			display: flex;
			flex-wrap: wrap;
		}
		.divImage{
			/*order:1;*/
		}
		.divQuantite{
			/*order: 4;*/
		}
		.uAndC{
			/*order:4;*/
		}
		.divPrix{
			/*order: 3;*/
		}
		.divHeader .headerQpT ,
		.divQuantite{
			padding:0px;
			/*justify-content:start;*/
			width:27%
		}

		.divHeader .headerPrixU{
			width:20%;
		}
		.uAndC{
			width: 25px;
		}
		.divPrix{
			justify-content:end;
			width:calc(15% - 25px)
		}
		.Taille input{
			width:100%;
		}
		.divAllBtn.noEmpty  #GoToCheckout ,
		.divAllBtn.noEmpty  #goToDevis{
			border-radius:5px;
		}
		.divAllBtn.noEmpty  #goToDevis{
		margin-bottom:50px;
		}
	}

	@media only screen and (max-width: 934px){
		.gallery__main{
			width:100%;
			height:unset;
		}.gallery__thumbnails img{
			width: 23%;
			height:unset;
		}
		.modalContent{
			width:90%;
		}
		.Resume.noEmpty { 
			margin:0px 0px 20px 0px;
			padding-top:20px;
		
		}
		.divAllBtn.noEmpty , .divAllBtn.noEmpty ,
		.Resume.noEmpty {
			padding-left:20px;
			padding-right:20px;
		}
		.divAllBtn.noEmpty  #GoToCheckout, .divAllBtn.noEmpty  #goToDevis {
		width:100%;
			margin-right:0px!important
	}
		.noEmpty{
			width:100%;
			justify-content: center;
			font-size: 16px;
			padding: 0px;
		}
	.divDescription{
		order:1;
		margin-top: 30px;
		/*width: 58%;*/
        width: 45%;
		display:block;
		padding-right: 10px;
	}
	.divHeader .headerProduit{
			width:50%;
			padding: 0px;
		}
		.divHeader .headerQpT, .divQuantite{
			width: 100%;
			gap:10px!important;
			margin-bottom: 20px;
			margin-top: 18px;
		}
		.divDescription > div{
			width:100%;
            margin-top: 0;
		}

        .grid_item{

        }

        .grid_itemTitle{
            margin-top: 10px !important;
        }

		.divHeader .headerPrixU{
			width: 20%;
		}
		.divImage {
		order: 1;
		display: block;
		width: 40%;
	}

        .divQuantite{
            order: 4;
        }
		.Taille {
		margin: 0px;
		/*width: calc(33.3% - 7px);*/
            width: 25%;

	}
		.divProduit{
			align-items: start;
			padding-top:15px;
			position: relative;
			font-size: 12px!important;
			margin-bottom: 0px;
		}
		.uAndC {
            position: absolute;
            right: 20px;
            /*bottom: 155px;*/
            bottom: 145px;
            order: 4;
	    }

        .uAndC img{
            height: 20px;
        }
		.divPrix{
			position: absolute;
			padding-left:10px;
			width: 20%;
			justify-content: end;
			/*right: 19px;*/
            right: 0;
			top: 35px;
            order: 3;
		}
		.divHeader.noEmpty{
			display: none;
			margin:0px!important;
			font-size:13px;
			width: 100%;
			padding: 0px 15px 15px 15px;
		}
		.main_item{
			font-size:16px;
		}

        .totalProduit{
            display: flex;
            align-items: center;
            width: 25%;
        }
		.totalProduit p{
			margin:0px
		}
	}

/* New style for payment failed alert */
.payment-failed-alert {
    text-align: center;
    padding: 20px;
    max-width: 800px;
    margin: 30px auto;
    background-color: #f8d7da; /* Light red for error */
    border: 1px solid #f5c6cb; /* Red border */
    color: #721c24; /* Dark red text */
    border-radius: 8px;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
    font-size: 1.1em;
    font-weight: bold;
}

.cart-footer-fixed {
    position: fixed !important;
    bottom: 0 !important;
    width: 100% !important;
}


/*# sourceMappingURL=data:application/json;charset=utf-8;base64,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*/